<?php

require_once MYBB_ROOT."inc/plugins/nickstyles/require.php";

function nicknamestyles_plugin_info()
{
	global $lang;
	$lang->load("nickstyles");
	return array(
		"name"			=> $lang->nickstyles,
		"description"	=> $lang->descriptionplugin,
		"website"		=> "http://www.mybb-es.com/",
		"author"		=> "Edson Ordaz (spolszczone przez Anubisa v.1)",
		"authorsite"	=> "mailto:nicedo_eeos@hotmail.com",
		"version"		=> "1.0",
		"compatibility" => "16*",
		"guid"			=> "6b6f914d5f45977657885584493caf2d"
	);
}

function nicknamestyles_plugin_is_installed()
{
	global $db;
	if($db->table_exists("nickstyles_nicks"))
	{
		$exist = true;
	}else{
		$exist = false;
	}
	return $exist;
}

function nicknamestyles_plugin_install()
{
	install_nickname_table();
}

function nicknamestyles_plugin_uninstall()
{
	global $db;
	delete_table_nickname();
}

function nicknamestyles_plugin_activate()
{
	activate_template();
}

function nicknamestyles_plugin_deactivate()
{
	deactivate_template();
}
?>